from pydantic import BaseModel


class CaptchaResponse(BaseModel):
    captcha_id: str
    background_image: str
    slider_image: str
    slider_width: int


class CaptchaVerifyRequest(BaseModel):
    captcha_id: str
    x_offset: int


class CaptchaTokenResponse(BaseModel):
    token: str
